public static interface PubNubEndpointBuilderFactory.PubNubBuilders
| Modifier and Type | Method and Description |
|---|---|
default PubNubEndpointBuilderFactory.PubNubEndpointBuilder |
pubnub(String path)
PubNub (camel-pubnub)
Send and receive messages to/from PubNub data stream network for
connected devices.
|
default PubNubEndpointBuilderFactory.PubNubEndpointBuilder |
pubnub(String componentName,
String path)
PubNub (camel-pubnub)
Send and receive messages to/from PubNub data stream network for
connected devices.
|
default PubNubEndpointBuilderFactory.PubNubEndpointBuilder pubnub(String path)
pubnub:channel
Path parameter: channel (required)
The channel used for subscribing/publishing eventspath - channeldefault PubNubEndpointBuilderFactory.PubNubEndpointBuilder pubnub(String componentName, String path)
pubnub:channel
Path parameter: channel (required)
The channel used for subscribing/publishing eventscomponentName - to use a custom component name for the endpoint
instead of the default namepath - channelApache Camel